# AbcPrimalColumnDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <AbcPrimalColumnDantzig.hpp>`

Inheritance diagram for AbcPrimalColumnDantzig:
[legend]
Collaboration diagram for AbcPrimalColumnDantzig:
[legend]

List of all members.

## Public Member Functions
Algorithmic methods
virtual int | pivotColumn (CoinPartitionedVector *updates, CoinPartitionedVector *spareRow2, CoinPartitionedVector *spareColumn1)
| Returns pivot column, -1 if none.
virtual void | saveWeights (AbcSimplex *model, int)
| Just sets model.
Constructors and destructors
| AbcPrimalColumnDantzig ()
| Default Constructor.
| AbcPrimalColumnDantzig (const AbcPrimalColumnDantzig &)
| Copy constructor.
AbcPrimalColumnDantzig & | operator= (const AbcPrimalColumnDantzig &rhs)
| Assignment operator.
virtual | ~AbcPrimalColumnDantzig ()
| Destructor.
virtual AbcPrimalColumnPivot * | clone (bool copyData=true) const
| Clone.

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 19 of file AbcPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

AbcPrimalColumnDantzig::AbcPrimalColumnDantzig | ( |  | ) |

Default Constructor.

AbcPrimalColumnDantzig::AbcPrimalColumnDantzig | ( | const AbcPrimalColumnDantzig & |  | ) |

Copy constructor.

virtual AbcPrimalColumnDantzig::~AbcPrimalColumnDantzig | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int AbcPrimalColumnDantzig::pivotColumn | ( | CoinPartitionedVector * | updates,
|  | CoinPartitionedVector * | spareRow2,
|  | CoinPartitionedVector * | spareColumn1 |
| ) |  |  | `[virtual]`

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Implements AbcPrimalColumnPivot.

virtual void AbcPrimalColumnDantzig::saveWeights | ( | AbcSimplex * | model,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Just sets model.

Implements AbcPrimalColumnPivot.

Definition at line 38 of file AbcPrimalColumnDantzig.hpp.

AbcPrimalColumnDantzig& AbcPrimalColumnDantzig::operator= | ( | const AbcPrimalColumnDantzig & | rhs | ) |

Assignment operator.

Reimplemented from AbcPrimalColumnPivot.

virtual AbcPrimalColumnPivot* AbcPrimalColumnDantzig::clone | ( | bool | copyData = `true` | ) | const`[virtual]`

Clone.

Implements AbcPrimalColumnPivot.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.16.6/Clp/src/AbcPrimalColumnDantzig.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines